> ## Documentation Index
> Fetch the complete documentation index at: https://docs.featherhq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate testing lab scenarios



## OpenAPI

````yaml post /api/v1/testing-lab/scenarios/generate
openapi: 3.0.0
info:
  version: 1.0.0
  title: Feather AI API
servers:
  - url: https://prod.featherhq.com
    description: Production environment
security: []
paths:
  /api/v1/testing-lab/scenarios/generate:
    post:
      tags:
        - Testing Lab
      summary: Generate testing lab scenarios
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TestingLabGenerateScenariosRequest'
      responses:
        '200':
          description: >-
            Scenario generation initiated successfully. Generation is in
            progress.
          content:
            application/json:
              schema:
                type: object
                properties: {}
        '400':
          description: Bad request - validation error
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    default: 400
                  message:
                    type: string
                    default: Bad request
                  code:
                    type: string
                    enum:
                      - BAD_REQUEST
                    default: BAD_REQUEST
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    default: 500
                  message:
                    type: string
                    default: Internal server error
                  code:
                    type: string
                    enum:
                      - INTERNAL_SERVER_ERROR
                    default: INTERNAL_SERVER_ERROR
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
      security:
        - ApiKey: []
components:
  schemas:
    TestingLabGenerateScenariosRequest:
      type: object
      properties:
        agent_id:
          type: number
        assistant_id:
          type: string
        personalities:
          type: object
          additionalProperties:
            nullable: true
        num_scenarios:
          type: number
        test_profile:
          type: number
        extra_instructions:
          type: string
        inbound_phone_number:
          type: number
        first_message:
          type: string
        generate_expected_outcomes:
          type: boolean
        expected_outcome_prompt:
          type: string
        tags:
          type: array
          items:
            type: string
        tool_ids:
          type: array
          items:
            type: string
        metrics:
          type: array
          items:
            type: number
      required:
        - agent_id
        - num_scenarios
        - inbound_phone_number
        - first_message
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: X-API-Key

````